Documentation Index
Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
Use this file to discover all available pages before exploring further.
Request Errors
The request to the POST /forwarding_requests endpoint failed. These are the sub_type that can be returned.
INVALID_REQUEST
The request body failed basic validation for the specific API endpoint.
URL_NOT_ALLOWED
The URL is not whitelisted for forwarding requests.
INVALID_TEMPLATE
Template expression is invalid.
TEMPLATE_IN_KEYS_NOT_ALLOWED
Template expressions are not allowed in JSON keys.
BINDING_NAME_MISSING
Binding name was referenced in a template but not provided in the bindings object.
BINDING_NAME_NOT_REFERENCED
Binding name was provided in the bindings object but not referenced in any templates.
BINDING_NOT_FOUND
Resource ID associated with the binding name was not found. Verify the resource id and try again.
UNSUPPORTED_BINDING_VALUE
Resource type associated with the binding name is not supported.
DISALLOWED_TEMPLATE_PATH
Path referenced in the template is not allowed for this destination.
REFERENCED_VALUE_IS_NULL
Referenced value at the path is null or missing.
INVALID_METHOD
The HTTP method is not allowed for this destination.
BODY_JSON_INVALID
Request body must be valid stringified JSON.
INVALID_CONTENT_TYPE
The provided content type is not allowed for this destination.
API Errors
Errors returned when the outbound (forwarded) request fails.
FORWARDED_REQUEST_TIMEOUT
Forwarded request timed out. Default timeout is 10 seconds.
FORWARDED_REQUEST_NETWORK_ERROR
Forwarded request failed due to a network error.